import React from 'react';
import {
    ActionIcon,
    AppShell,
    AppShellAside,
    AppShellHeader,
    AppShellMain,
    Button,
    Group,
    Pagination,
    Stack,
    Table,
    TableTbody,
    TableTd,
    TableTh,
    TableThead,
    TableTr,
    Text,
    TextInput,
    Title
} from "@mantine/core";
import {Header} from "@/components/header";
import Link from "next/link";
import {IconCheck, IconPencil, IconUser} from "@tabler/icons-react";

export const metadata = {
    title: 'Мастерская',
    description: '',
};

const problems = [
    {
        id: 1,
        title: "Линейка",
        accepted: 102,
    },
    {
        id: 2,
        title: "Секретное сообщение",
        accepted: 152,
    },
    {
        id: 3,
        title: "Арзуб",
        accepted: 342,
    },
    {
        id: 4,
        title: "Укладка доминошками",
        accepted: 89,
    },
]


const Page = () => {
    const rows = problems.map((problem) => (
        <TableTr key={problem.id}>
            <TableTd>
                <Text td="underline">{problem.title}</Text>
            </TableTd>
            <TableTd>
                <Group align="end" gap="2" justify="center">
                    <IconUser/>
                    <Text td="underline">{problem.accepted}</Text>
                </Group>
            </TableTd>
            <TableTd>{<ActionIcon size="xs" component={Link} href={`/workshop/${problem.id}`}>
                <IconPencil/>
            </ActionIcon>}
            </TableTd>
        </TableTr>
    ));

    return (
        <AppShell header={{height: 70}}>
            <AppShellHeader>
                <Header/>
            </AppShellHeader>
            <AppShellMain px="16">
                <Stack align="center" w="fit-content" m="auto" pt="16" gap="16">
                    <Title>Архив задач</Title>
                    <Table horizontalSpacing="xl">
                        <TableThead>
                            <TableTr>
                                <TableTh>Название</TableTh>
                                <TableTh><IconCheck/></TableTh>
                                <TableTh><IconPencil/></TableTh>
                            </TableTr>
                        </TableThead>
                        <TableTbody>{rows}</TableTbody>
                    </Table>
                    <Pagination total={10}/>
                </Stack>
            </AppShellMain>
            <AppShellAside withBorder={false} px="16">
                <Stack pt="16">
                    <Stack gap="5">
                        <Button title="Создать контест">Создать контест</Button>
                        <Button title="Создать задачу">Создать задачу</Button>
                    </Stack>
                    <TextInput placeholder="Поиск"/>
                </Stack>
            </AppShellAside>
        </AppShell>
    );
};

export default Page;
