"use client";

import React from 'react';
import {
    AppShell,
    AppShellAside,
    AppShellHeader,
    AppShellMain,
    Button,
    Checkbox,
    Pagination,
    Stack,
    Table,
    TableTbody,
    TableTd,
    TableTh,
    TableThead,
    TableTr,
    TextInput,
    Title
} from "@mantine/core";
import {Header} from "@/components/header";
import Link from "next/link";
import {ContestsListItem} from "../../../proto/tester/v1/api";

type Props = {
    contests: ContestsListItem[],
    page: number,
    max_page: number
}

// const contests = [
//     {
//         id: 1,
//         title: "Соревнование 1",
//         startsAt: (new Date()).toISOString(),
//         duration: "02:00",
//         started: true
//     },
//     {
//         id: 2,
//         title: "Соревнование 2",
//         startsAt: (new Date()).toISOString(),
//         duration: "02:00",
//         started: false
//     },
//     {
//         id: 3,
//         title: "Соревнование 3",
//         startsAt: (new Date()).toISOString(),
//         duration: "02:00",
//         started: false
//     },
//     {
//         id: 4,
//         title: "Соревнование 4",
//         startsAt: (new Date()).toISOString(),
//         duration: "02:00",
//         started: false
//     }
// ]

const Page = (props: Props) => {
    const rows = props.contests.map((contest) => (
        <TableTr key={contest.id}>
            <TableTd>{contest.title}</TableTd>
            <TableTd>
                <Button size="xs"
                        component={Link}
                        href={`/contests/${contest.id}`}
                >
                    {"Войти в контест"}
                </Button>
            </TableTd>
            {/*<TableTd>{contest.startsAt}</TableTd>*/}
            {/*<TableTd>{contest.duration}</TableTd>*/}
            {/*<TableTd>{<Button size="xs"*/}
            {/*                  disabled={!contest.started}*/}
            {/*                  component={Link}*/}
            {/*                  href={`/contests/${contest.id}`}*/}
            {/*>*/}
            {/*    {contest.started ? "Войти в контест" : "Не началось"}*/}
            {/*</Button>}*/}
            {/*</TableTd>*/}
        </TableTr>
    ));

    return (
        <AppShell header={{height: 70}}>
            <AppShellHeader>
                <Header/>
            </AppShellHeader>
            <AppShellMain px="16">
                <Stack align="center" w="fit-content" m="auto" pt="16" gap="16">
                    <Title>Контесты</Title>
                    <Table horizontalSpacing="xl">
                        <TableThead>
                            <TableTr>
                                <TableTh>Название</TableTh>
                                {/*<TableTh>Начало</TableTh>*/}
                                {/*<TableTh>Длительность</TableTh>*/}
                                <TableTh></TableTh>
                            </TableTr>
                        </TableThead>
                        <TableTbody>{rows}</TableTbody>
                    </Table>
                    <Pagination total={props.max_page}
                                value={props.page}
                                getItemProps={(page) => ({
                                    component: Link,
                                    href: `/contests?page=${page}`,
                                })}
                                getControlProps={(control) => {
                                    if (control === 'next') {
                                        if (props.page === props.max_page) {
                                            return {component: Link, href: `/contests?page=${props.page}`};
                                        }

                                        return {component: Link, href: `/contests?page=${+props.page + 1}`};
                                    }

                                    if (control === 'previous') {
                                        if (props.page === 1) {
                                            return {component: Link, href: `/contests?page=${props.page}`};
                                        }
                                        return {component: Link, href: `/contests?page=${+props.page - 1}`};
                                    }

                                    return {};
                                }}
                    />
                </Stack>
            </AppShellMain>
            <AppShellAside withBorder={false} px="16">
                <Stack pt="16">
                    <TextInput placeholder="Поиск"/>
                    <Checkbox label="Завершенные"/>
                </Stack>
            </AppShellAside>
        </AppShell>
    );
};

export {Page as ClientPage};
