"use server";

import {GetUsers} from "@/shared/api";
import {ClientPage} from "./ui";
import {Metadata} from "next";

const generateMetadata = async ({params}: Props): Promise<Metadata> => {
    return {
        title: 'Пользователи',
        description: '',
    };
}


type Props = {
    searchParams: Promise<{ page: number }>
}

const Page = async (props: Props) => {
    const page = (await props.searchParams).page || 1;

    const users = await GetUsers(page, 10);

    return (
        <ClientPage users={users.users} max_page={users.max_page} page={users.page}/>
    )
}

export {Page as UsersPage, generateMetadata};